@charset "utf-8";

/* ----------------------------------------
	office.css
---------------------------------------- */
#office {
  padding-top: 90px;
}

/* 池田金属 本社 */
#izumisano,
#kaizuka,
#izumiotsu,
#osaka,
#mie {
  margin: 8rem 15%;
}

.office-contents {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  gap: 6rem;
}

.office-contents-left {
  flex: 2;
}

.office-contents-left img {
  border-radius: 20px;
}

.office-contents-right {
  position: relative;
  flex: 1.2;
}

.office-contents-right-text p {
  color: #bac7cc;
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.office-contents-right-map {
  width: 100%;
  height: 300px;
  overflow: hidden;
  border-radius: 15px;
}

.office-contents-right-map iframe {
  width: 100%;
  height: calc(100% + 300px);
  margin-top: -155px;
}


address {
  margin-bottom: 4rem;
}

.map-btn-wrapper {
  position: absolute;
  top: 25%;
  left: -10%;
}

.map-btn {
  position: relative;
  display: inline-block;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background: #3067d1;
  transition: transform 0.3s ease;
}

.map-btn:hover {
  transform: scale(1.2);
}

.map-btn span {
  color: #fff;
  font-family: "Montserrat", sans-serif;
  font-size: 0.9rem;
  line-height: 1.5;
  position: absolute;
  top: 50%;
  left: 51%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  width: 100px;
  text-align: center;
}

/* #kaizuka {
  margin: 8rem 15%;
}

#izumiotsu {
  margin: 8rem 15%;
}

#osaka {
  margin: 8rem 15%;
}

#mie {
  margin: 8rem 15%;
} */


/* 画面幅1440px以下 */
@media screen and (max-width: 1440px) {
  .office-contents-right-map {
    height: 175px;
  }

  .map-btn-wrapper {
    top: 45%;
  }

  address {
    margin-bottom: 3rem;
  }
}

/* パソコン・スマホ表示切り替え */
.for-pc { display:block; }
.for-sp { display:none; }

@media only screen and (max-width:1440px) {
  .for-pc { display:none; }
  .for-sp { display:block; }
}

/* 画面幅1180px以下 */
@media screen and (max-width: 1180px) {
  #izumisano,
  #kaizuka,
  #izumiotsu,
  #osaka,
  #mie {
    margin: 8rem 6%;
  }
}

/* 画面幅1024px以下 */
@media screen and (max-width: 1024px) {
  .office-contents {
    display: block;
  }

  .office-contents-left {
    margin-bottom: 4rem;
  }

  .office-contents-right {
    display: flex;
    gap: 1rem;
  }

  .office-contents-right-text {
    flex: 1;
  }

  .office-contents-right-map {
    flex: 1;
  }

  .map-btn-wrapper {
    position: absolute;
    top: -20%;
    left: 43%;
  }
}

/* 画面幅767px以下：スマホ対応 */
@media screen and (max-width: 767px) {
  #izumisano,
  #kaizuka,
  #izumiotsu,
  #osaka,
  #mie {
    margin: 4rem 6%;
  }

  .office-contents-right {
    flex-direction: column;
  }

  .office-contents-right-text {
    flex: auto;
  }

  .office-contents-right-map {
    flex: auto;
  }

  .map-btn-wrapper {
    top: 35%;
    left: auto;
    right: 1rem;
  }

  .office-contents-right {
    gap: 0;
  }

  .office-contents-left {
    margin-bottom: 2rem;
  }

  address {
    margin-bottom: 2rem;
  }
}

/* 画面幅575px以下：スマホ対応 */
@media screen and (max-width: 575px) {
  #izumisano,
  #kaizuka,
  #izumiotsu,
  #osaka,
  #mie {
    margin: 4rem 1rem;
  }
}